=== debian/changelog ===
graphviz (2.40.1-2) unstable; urgency=medium

  * Upload to Sid.
  * Fix architecture independent build (closes: #892701).
  * Update watch file.
  * Disable Vcs-* fields for now.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 24 Mar 2018 13:39:24 +0000

graphviz (2.40.1-1) experimental; urgency=medium

  * New major upstream release (closes: #884479).
  * Use short debhelper rules format.
  * Drop libgnomeui-dev build dependency (closes: #887673).
  * Switch back to Guile 2.0 build dependency.
  * Rename libgv-python to python-gv package.
  * Add liblab-gamut1 package.
  * Drop graphviz-dev old transitional package.
  * Update Standards-Version to 4.1.3 .
  * Update debhelper level to 11:
    - remove dh-autoreconf build dependency,
    - remove autotools-dev build dependency.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Build new libgv-php7 .
  * Build a python3-gv package (closes: #691023).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 25 Feb 2018 14:26:18 +0000

graphviz (2.38.0-19) unstable; urgency=medium

  * Explicitly build without ghostscript (closes: #887898).
  * Build with Guile 2.2 (closes: #885198).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Jan 2018 17:59:28 +0000

graphviz (2.38.0-18) unstable; urgency=medium

  * Don't install 'dot' but symlink to its libgvc6-config-update variant
    (closes: #868546).
  * Use ldconfig trigger for libgvc6 instead of direct call in postrm.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 18 Sep 2017 19:45:34 +0000

graphviz (2.38.0-17) unstable; urgency=medium

  * Correct host value for configure in Jonathan's upload (closes: #855418).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 19 Feb 2017 10:32:17 +0000

graphviz (2.38.0-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use DEB_BUILD_MULTIARCH from dpkg-architecture to avoid
    changing paths when the baseline ISA changes (closes: #843496)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 28 Jan 2017 13:26:14 +0000

graphviz (2.38.0-16) unstable; urgency=low

  * Fix libgv-python broken symlink (closes: #839176).
  * Add libann-dev to build dependency to build tool mingle (closes: #830998).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 20 Oct 2016 19:43:26 +0200

graphviz (2.38.0-15) unstable; urgency=low

  * Backport upstream development of following the move of libgd from
    gdlib-config to pkg-config (closes: #827806).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Aug 2016 11:17:28 +0000

graphviz (2.38.0-14) unstable; urgency=medium

  * Disable PHP5 bindings binary package (closes: #821676).
  * Install Graphviz GDK plugin as well (closes: #825576).
  * Remove bashism from gvmap.sh (closes: #772234).
  * Make rebuildable.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 10 Jun 2016 10:20:16 +0000

graphviz (2.38.0-13) unstable; urgency=low

  * Update copyright file to be in format 1.0 and license be EPL
    (closes: #795317).
  * Build with GTS Library to interconnected triangles support
    (closes: #756455).
  * Build with -fno-ipa-sra on mipsel and mips to workaround GCC bug
    (closes: #804297).
  * Update libgraphviz-dev dependency (closes: #702683, #754053).
  * Build fine with ruby1.9 installed (closes: #719248).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 11 Apr 2016 13:58:14 +0000

graphviz (2.38.0-12) unstable; urgency=low

  * Build with Ruby 2.2 version.
  * Remove uninstalled smyrna documentation (closes: #596707).

  [ Antonio Terceiro <terceiro@debian.org> ]
  * Fix FTBFS with Ruby 2.2 as default (closes: #804799).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 17 Nov 2015 18:25:54 +0100

graphviz (2.38.0-11) unstable; urgency=low

  * Backport build fix of RedHat for Ruby 2.2 transition (closes: #803587).
  * Remove libltdl-dev from build dependencies (closes: #746012).
  * Call ldconfig during libgvc6 removal.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 31 Oct 2015 17:09:29 +0100

graphviz (2.38.0-10) unstable; urgency=low

  * Use the real libgd-dev for build dependency and not the old transitional
    one (closes: #791852).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 08 Jul 2015 20:25:54 +0000

graphviz (2.38.0-9) unstable; urgency=medium

  * Finish dh_python2 transition and use 2.7 as minimal version for Python
    (closes: #783680).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 May 2015 17:03:32 +0000

graphviz (2.38.0-8) unstable; urgency=medium

  * Add dh-python to build depends.
  * Add PHP module loading ini (closes: #649015).
  * Update Standars-Version to 3.9.6 .
  * New maintainer (closes: #736605).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 13 Apr 2015 19:25:56 +0000
