=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/python/python.mk

ifeq ($(DEB_HOST_ARCH_OS),hurd)
CONFIGURE_LIBS    = LIBS="-Wl,--no-as-needed -Wl,-lpthread -Wl,--as-needed"
endif

ifneq (,$(filter $(DEB_HOST_ARCH), mipsel mips))
DEB_CFLAGS_MAINT_APPEND += "-fno-ipa-sra"
endif

PYTHON_VERSIONS  = $(shell pyversions -r)
PYTHON3_VERSIONS = $(shell py3versions -r)

# sonames for various libraries
SO_CGRAPH	= 6
SO_CDT		= 5
SO_GVC		= 6
SO_PATHPLAN	= 4
SO_XDOT		= 4
SO_GVPR		= 2
SO_LAB-GAMUT	= 1

PHP_EXTENSION_DIR = $(shell php-config --extension-dir)
PHP_PACKAGE       = $(CURDIR)/debian/libgv-php7

override_dh_clean:
	dh_clean
	rm -f $(CURDIR)/tclpkg/gv/*.pdf

override_dh_auto_configure:
	dh_auto_configure -- \
	--disable-silent-rules \
	--prefix=/usr \
	--datadir=\$${prefix}/share \
	--infodir=\$${prefix}/share/info \
	--mandir=\$${prefix}/share/man \
	--disable-static \
	--without-included-ltdl \
	--with-pangocairo \
	--with-x \
	--with-gdk-pixbuf \
	--with-gnomeui \
	--with-gtk \
	--with-gts \
	--without-ipsepcola \
	--without-rsvg \
	--enable-guile \
	--enable-lua \
	--enable-php \
	--enable-ruby \
	--enable-tcl \
	--disable-java \
	--disable-r \
	--disable-sharp \
	--enable-python2 \
	--enable-python3 \
	$(CONFIGURE_LIBS) \
	$(shell $(dpkg_buildflags) --export=configure)

override_dh_auto_test:
	echo Self tests are buggy

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/tmp/ -name \*.la -delete
	# Duplicate library
	rm $(CURDIR)/debian/tmp/usr/lib/lua/gv.so
	rm $(CURDIR)/debian/tmp/usr/lib/tcl*/graphviz/libgv_tcl.so

override_dh_install-arch:
	dh_install --arch
	mv $(CURDIR)/debian/libgvc$(SO_GVC)/usr/sbin/dot \
		$(CURDIR)/debian/libgvc$(SO_GVC)/usr/sbin/libgvc$(SO_GVC)-config-update
	# Symlink dot due to #868546 (debug packages conflict)
	rm $(CURDIR)/debian/graphviz/usr/bin/dot
	ln -s /usr/sbin/libgvc$(SO_GVC)-config-update \
		$(CURDIR)/debian/graphviz/usr/bin/dot

override_dh_install-indep:
	dh_install --indep
	# Remove duplicate changelog
	rm -f $(CURDIR)/debian/graphviz-doc/usr/share/doc/graphviz/ChangeLog

%:
	dh $@ --with python2,python3

.PHONY: override_dh_clean override_dh_auto_configure override_dh_auto_test \
	override_dh_auto_install override_dh_install-arch \
	override_dh_install-indep
