=== debian/watch ===
version=4
https://gitlab.com/graphviz/graphviz/tags?sort=updated_desc .*stable_release_(\d\S+)/archive\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
